class crmDashboardQuotationResponse {
  String? error;
  List<QuotationLists>? quotationLists;
  String? message;
  int? sessionExists;

  crmDashboardQuotationResponse(
      {this.error, this.quotationLists, this.message, this.sessionExists});

  crmDashboardQuotationResponse.fromJson(Map<String, dynamic> json) {
    error = json['error'];
    if (json['quotation_lists'] != null) {
      quotationLists = <QuotationLists>[];
      json['quotation_lists'].forEach((v) {
        quotationLists!.add(new QuotationLists.fromJson(v));
      });
    }
    message = json['message'];
    sessionExists = json['session_exists'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['error'] = this.error;
    if (this.quotationLists != null) {
      data['quotation_lists'] =
          this.quotationLists!.map((v) => v.toJson()).toList();
    }
    data['message'] = this.message;
    data['session_exists'] = this.sessionExists;
    return data;
  }
}

class QuotationLists {
  String? aname;
  String? leadid;
  String? lstatus;
  String? lempid;
  String? quotationId;

  QuotationLists(
      {this.aname, this.leadid, this.lstatus, this.lempid, this.quotationId});

  QuotationLists.fromJson(Map<String, dynamic> json) {
    aname = json['aname'];
    leadid = json['leadid'];
    lstatus = json['lstatus'];
    lempid = json['lempid'];
    quotationId = json['quotation_id'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['aname'] = this.aname;
    data['leadid'] = this.leadid;
    data['lstatus'] = this.lstatus;
    data['lempid'] = this.lempid;
    data['quotation_id'] = this.quotationId;
    return data;
  }
}
